VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::adapter::ScsiTypes::Summary Class Reference

The `Scsi.Summary` class contains commonly used information about a Virtual SCSI adapter. More...

List of all members.

## Public Member Functions
| Summary ()
| Creates a default new instance.
string | GetAdapter ()
| Identifier of the virtual SCSI adapter.
void | SetAdapter (string adapter)
| Identifier of the virtual SCSI adapter.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Scsi.Summary` class contains commonly used information about a Virtual SCSI adapter.

## Constructor & Destructor Documentation

vmware::vcenter::vm::hardware::adapter::ScsiTypes::Summary::Summary | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::vm::hardware::adapter::ScsiTypes::Summary::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::vm::hardware::adapter::ScsiTypes::Summary::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::vm::hardware::adapter::ScsiTypes::Summary::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::vm::hardware::adapter::ScsiTypes::Summary::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::vm::hardware::adapter::ScsiTypes::Summary::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::vm::hardware::adapter::ScsiTypes::Summary::Equals | ( | object | obj | ) | `[inline]`

string vmware::vcenter::vm::hardware::adapter::ScsiTypes::Summary::GetAdapter | ( |  | ) | `[inline]`

Identifier of the virtual SCSI adapter.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ScsiAdapter` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ScsiAdapter` .

override int vmware::vcenter::vm::hardware::adapter::ScsiTypes::Summary::GetHashCode | ( |  | ) | `[inline]`

void vmware::vcenter::vm::hardware::adapter::ScsiTypes::Summary::SetAdapter | ( | string | adapter | ) | `[inline]`

Identifier of the virtual SCSI adapter.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ScsiAdapter` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ScsiAdapter` .

override string vmware::vcenter::vm::hardware::adapter::ScsiTypes::Summary::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- ScsiTypes.cs